Ethereum Data API

Ethereum Data API is a collection of APIs that expose read data from the Ethereum network.

Get latest status of the Ethereum protocol

get

Get global information about protocol token supplies

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Responses
chevron-right
200

OK

application/json
active_validator_countintegerOptional

Count of total validators minus stopped validators on the consensus layer

Example: 58
active_validators_eth_balancestringOptional

Total consensus ETH balance of all validators on the consensus layer (as reported by the Oracle) in Wei

Example: 128000000000000000000
block_numberintegerOptional

Height of the returned data

Example: 15034284
collected_rewardsstringOptional

Total collected rewards

Example: 3200000000000000000000
contract_eth_balancestringOptional

ETH balance on the contract in Wei

Example: 5000000000000000000
conversion_ratenumberOptional
deposit_countintegerOptional

Number of deposits

Example: 2
exited_validators_eth_balancestringOptional

Total ETH balance of exited validators on the consensus layer (as reported by the Oracle) in Wei

Example: 128000000000000000000
exiting_validators_eth_balancestringOptional

Total ETH balance of exiting validators on the consensus layer (as reported by the Oracle) in Wei

Example: 128000000000000000000
funded_validator_countintegerOptional

Count of funded validators

Example: 102
funded_valitor_countintegerOptional

Previous typo made, keeping for backwards compatibility

Example: 102
pending_validator_countintegerOptional

Count of funded validators and pending activation on the consensus layer (as reported by the Oracle)

Example: 2
pending_validators_eth_balancestringOptional

Total ETH balance of pending validators in GWei

Example: 64000000000000000000
rebalance_deposit_to_redeem_modebooleanOptionalExample: true
skimmed_validators_eth_balancestringOptional

Total ETH balance of skimmed withdrawals (as reported by the Oracle) in Wei

Example: 128000000000000000000
slashing_containment_modebooleanOptionalExample: false
stopped_validator_countintegerOptional

Count of stopped LC validators on the consensus layer (as reported by the Oracle)

Example: 42
total_eth_balancestringOptional

Total ETH balance managed by the River protocol in GWei

Example: 3200000000000000000000
total_eth_depositedstringOptional

Total ETH deposited

Example: 3200000000000000000000
total_supplystringOptional

Total LsETH supply

Example: 3200000000000000000000
total_validator_countintegerOptional

Count of all LC validators found on the consensus layer (as reported by the Oracle)

Example: 100
get
/eth/v0/status

Get status of the Ethereum protocol at a given block number

get

Get global information about protocol token supplies at a given block number

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
block_numberintegerRequired

Block height to query

Responses
chevron-right
200

OK

application/json
active_validator_countintegerOptional

Count of total validators minus stopped validators on the consensus layer

Example: 58
active_validators_eth_balancestringOptional

Total consensus ETH balance of all validators on the consensus layer (as reported by the Oracle) in Wei

Example: 128000000000000000000
block_numberintegerOptional

Height of the returned data

Example: 15034284
collected_rewardsstringOptional

Total collected rewards

Example: 3200000000000000000000
contract_eth_balancestringOptional

ETH balance on the contract in Wei

Example: 5000000000000000000
conversion_ratenumberOptional
deposit_countintegerOptional

Number of deposits

Example: 2
exited_validators_eth_balancestringOptional

Total ETH balance of exited validators on the consensus layer (as reported by the Oracle) in Wei

Example: 128000000000000000000
exiting_validators_eth_balancestringOptional

Total ETH balance of exiting validators on the consensus layer (as reported by the Oracle) in Wei

Example: 128000000000000000000
funded_validator_countintegerOptional

Count of funded validators

Example: 102
funded_valitor_countintegerOptional

Previous typo made, keeping for backwards compatibility

Example: 102
pending_validator_countintegerOptional

Count of funded validators and pending activation on the consensus layer (as reported by the Oracle)

Example: 2
pending_validators_eth_balancestringOptional

Total ETH balance of pending validators in GWei

Example: 64000000000000000000
rebalance_deposit_to_redeem_modebooleanOptionalExample: true
skimmed_validators_eth_balancestringOptional

Total ETH balance of skimmed withdrawals (as reported by the Oracle) in Wei

Example: 128000000000000000000
slashing_containment_modebooleanOptionalExample: false
stopped_validator_countintegerOptional

Count of stopped LC validators on the consensus layer (as reported by the Oracle)

Example: 42
total_eth_balancestringOptional

Total ETH balance managed by the River protocol in GWei

Example: 3200000000000000000000
total_eth_depositedstringOptional

Total ETH deposited

Example: 3200000000000000000000
total_supplystringOptional

Total LsETH supply

Example: 3200000000000000000000
total_validator_countintegerOptional

Count of all LC validators found on the consensus layer (as reported by the Oracle)

Example: 100
get
/eth/v0/status/{block_number}

List LsETH balance of several addresses

get

List LsETH balance of several addresses It is possible to specify for which block and which addresses to get the balances.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
addressesstringOptional

Comma separated list of addresses (if empty returns all addresses)

block_numberintegerOptional

Block number at which to get balance for (latest by default)

limitintegerOptional

Limit of elements to return (100 by default)

Responses
chevron-right
200

OK

application/json
addressstringOptional

Owner address

Example: 0x123456789985ca04a69c35978c3a3e778d6ef172
balancestringOptional

LsETH balance

Example: 4200000000000000000000
block_numberintegerOptional

Block height of the balance

Example: 15034284
get
/eth/v0/balances

Get LsETH balance of a given address

get

Get LsETH balance of a given address It is possible to specify for which block to get the balance at.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
addressstringRequired

Account address to query the balance for

Query parameters
block_numberintegerOptional

Block number at which to get balance for (latest by default)

Responses
chevron-right
200

OK

application/json
addressstringOptional

Owner address

Example: 0x123456789985ca04a69c35978c3a3e778d6ef172
balancestringOptional

LsETH balance

Example: 4200000000000000000000
block_numberintegerOptional

Block height of the balance

Example: 15034284
get
/eth/v0/balances/{address}

Get LsETH balance history

get

Get the LsETH balance history for a given address It returns a balance object for every block a balance change occurred It is possible to filter the history for a range only blocks

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
addressstringRequired

Address of the balance to query balance for

Query parameters
from_blockintegerOptional

Starting block height to query (0 by default)

to_blockintegerOptional

Ending block height to query (latest by default)

limitintegerOptional

Limit of elements to return (100 by default)

Responses
chevron-right
200

OK

application/json
addressstringOptional

Owner address

Example: 0x123456789985ca04a69c35978c3a3e778d6ef172
balancestringOptional

LsETH balance

Example: 4200000000000000000000
block_numberintegerOptional

Block height of the balance

Example: 15034284
get
/eth/v0/balances/{address}/history

List the smart contracts

get

List all the smart contracts addresses used

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Responses
chevron-right
200

OK

application/json
allowlisterinteger[]Optional
deployment_blockintegerOptional
el_fee_recipientinteger[]Optional
operators_registryinteger[]Optional
oracleinteger[]Optional
redeem_managerinteger[]Optional
riverinteger[]Optional
withdrawinteger[]Optional
get
/eth/v0/contracts

Last updated

Was this helpful?